Loading...
Searching...
No Matches
BALL::MMFF94AtomTypes Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94AtomTypes:

## Public Member Functions

| MMFF94AtomTypes ()
| MMFF94AtomTypes (const MMFF94AtomTypes &to_copy)
| ~MMFF94AtomTypes ()
const std::vector< MMFF94AtomType > & | getAtomTypes () const
Public Member Functions inherited from BALL::MMFF94ParametersBase
| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
virtual void | clear ()
| Clear method.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)

## Protected Attributes

std::vector< MMFF94AtomType > | data_
Protected Attributes inherited from BALL::MMFF94ParametersBase
bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Detailed Description

MMFF94 parameters for atom types (see MMFFPROP.PAR)

Definition at line 157 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94AtomTypes() [1/2]

BALL::MMFF94AtomTypes::MMFF94AtomTypes | ( |  | ) |

## MMFF94AtomTypes() [2/2]

BALL::MMFF94AtomTypes::MMFF94AtomTypes | ( | const MMFF94AtomTypes & | to_copy | ) |

## ~MMFF94AtomTypes()

BALL::MMFF94AtomTypes::~MMFF94AtomTypes | ( |  | ) |

inline

Definition at line 169 of file MMFF94Parameters.h.

## Member Function Documentation

## getAtomTypes()

const std::vector< MMFF94AtomType > & BALL::MMFF94AtomTypes::getAtomTypes | ( |  | ) | const

inline

Definition at line 172 of file MMFF94Parameters.h.

## setup_()

virtual bool BALL::MMFF94AtomTypes::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

protected virtual

Reimplemented from BALL::MMFF94ParametersBase.

## Member Data Documentation

## data_

std::vector<MMFF94AtomType> BALL::MMFF94AtomTypes::data_

protected

Definition at line 177 of file MMFF94Parameters.h.